Checkbox "only look in geometry_columns table" is misworded

2011-11-14 10:41 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14450

Description

The checkbox in postgresql provider connection "Edit" GUI is inaccurate for a few reasons:

1. We look in both geometry_columns and geography_columns

2. In 2.0 geometry_columns becomes a view

It should be either reworded OR there should be separate configuration for the two tables.

Mind you: a new metadata table is about to be added too (#4532)

Associated revisions

Revision 982d4e40 - 2012-10-18 09:18 PM - Sandro Santilli 

Reword "only look in geometry_columns" to "only look in layers registry"

Fixes #4533

History

#1 - 2012-10-17 02:06 PM - Sandro Santilli

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 1.8.0

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 90

- Assignee set to Jürgen Fischer

Would be improved by https://github.com/qgis/Quantum-GIS/pull/295

#2 - 2012-10-18 12:19 PM - Sandro Santilli

- Status changed from Open to Closed

Fixed in changeset commit:"982d4e40b47395a2cc128794c8ce7f7c6db80aee".
